Description

There are instances where I need the raw, unprocessed text from journal comments and descriptions written in Textile or Markdown,

rather than the HTML-converted information. This is particularly necessary when I want to write a new comment based on the

information displayed in these formats. Additionally, there are times when I need to add information to tables written in Textile or

Markdown. Without access to the raw text, I would have to recreate the table from scratch.

While it is possible to obtain the raw text from the input fields if I have editing permissions for the comments, such permissions are

not always available. Another alternative is to use the quote feature, but this is not a complete solution as it adds quotation marks

and can omit some of the original formatting.

I have attached an image that illustrates the requested feature.

 screenshot 2024-06-03 14.20.27.png 

Related issues:

Related to Redmine - Feature #29214: Button to copy `pre` code block content ... Closed

History

#1 - 2024-06-03 07:29 - Mizuki ISHIKAWA

I made a mistake with the tracker. Feature is correct.

#2 - 2024-06-03 08:23 - Go MAEDA

- Tracker changed from Defect to Feature

#3 - 2024-06-03 08:29 - Go MAEDA

I think the menu name could be "Copy text" instead of "Copy raw note".

It is simpler and the name "text" is consistent with the "TXT" link in the "Also available in" section.

#4 - 2024-06-03 08:45 - Mizuki ISHIKAWA

Go MAEDA wrote in #note-3:

I think the menu name could be "Copy text" instead of "Copy raw note".

It is simpler and the name "text" is consistent with the "TXT" link in the "Also available in" section.

 I think it's fine.

#5 - 2025-06-01 09:19 - Go MAEDA

- Related to Feature #29214: Button to copy `pre` code block content to the clipboard added
